Summary:	Utility to clean up and pretty print HTML files
Summary(pl.UTF-8):	Narzędzie do porządkowania kodu HTML
Name:		tidy
Version:	5.8.0
Release:	1
Epoch:		1
License:	distributable
Group:		Applications/Text
#Source0Download: https://github.com/htacg/tidy-html5/releases
Source0:	https://github.com/htacg/tidy-html5/archive/%{version}/tidy-html5-%{version}.tar.gz
# Source0-md5:	0f6c55ef651e258adbe5750f555af50f
URL:		http://www.html-tidy.org/
BuildRequires:	cmake >= 2.8.12
BuildRequires:	libxslt-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tidy is utility for cleaning and pretty printing HTML files. It can
help in keeping your WWW sources in unified format (case of tags) and
proper encoding of different character sets.

%description -l pl.UTF-8
Tidy jest narzędziem służącym do czytelnego formatowania i
wyświetlania źródłowego kodu HTML. Ułatwia utrzymanie porządku w
źródłach stron WWW, utrzymanie jednolitej konwencji (wielkość liter w
tagach) oraz poprawnego kodowania różnych standardów znaków.

%package devel
Summary:	Tidy header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dla programu Tidy
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Tidy header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dla programu Tidy.

%package static
Summary:	Static Tidy library
Summary(pl.UTF-8):	Statyczna biblioteka Tidy
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Tidy library.

%description static -l pl.UTF-8
Statyczna biblioteka Tidy.

%prep
%setup -q -n tidy-html5-%{version}

%build
install -d build
cd build
# .pc file template expects relative {INCLUDE,LIB}_INSTALL_DIR
%cmake .. \
	-DBUILD_TAB2SPACE=ON \
	-DINCLUDE_INSTALL_DIR=include/tidy \
	-DLIB_INSTALL_DIR=%{_lib} \
	-DTIDY_COMPAT_HEADERS=ON \
	-DTIDY_CONSOLE_SHARED=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# not installed
install build/tab2space $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md README/{API_AND_NAMESPACE.md,ATTRIBUTES.md,CHANGELOG.md,LICENSE.md,MESSAGES.md,OPTIONS.md,TAGS.md}
%attr(755,root,root) %{_bindir}/tab2space
%attr(755,root,root) %{_bindir}/tidy
%attr(755,root,root) %{_libdir}/libtidy.so.%{version}
%attr(755,root,root) %ghost %{_libdir}/libtidy.so.58
%{_mandir}/man1/tidy.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtidy.so
%{_includedir}/tidy
%{_pkgconfigdir}/tidy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtidy.a
%changelog
* Sat Sep 24 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tidy.git;a=log;h=master

* Sat Sep 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 82ebbcf
- updated to 5.8.0 (new soname)

* Fri Dec 08 2017 Jakub Bogusz <qboosh@pld-linux.org> edb05c4
- switch to successor project (tidy-html5), updated to 5.6.0 (new soname; 0.99 left on tidy-legacy branch)
- removed outdated format-security patch
- headers moved to tidy subdir (which is more flexible and expected by most projects utilizing libtidy)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6f0ce10
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> 790f35d
- fix format string errors

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> f9c07c1
- BR: xz

* Wed Jun 02 2010 sparky <sparky@pld-linux.org> ea2db9d
- added tar BR

* Thu Nov 19 2009 Artur Frysiak <artur@frysiak.net> 4733262
- updated to cvs -D 2009-11-19

* Fri Jul 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 9347d74
- more verbose files, ghost soname symlink

* Fri Jul 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f1739a
- up to 20080116

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> b7fd6c0
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 63037b5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4b5a1aa
- converted to UTF-8

* Fri Nov 10 2006 Elan Ruusamäe <glen@pld-linux.org> 55557e3
- 20061110 cvs snapshot

* Fri Nov 10 2006 Elan Ruusamäe <glen@pld-linux.org> 956b1ed
- use versioned builddir

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> d5f2955
- orphaned, outdated

* Wed Jan 04 2006 Andrzej Zawadzki <zawadaa@gmail.com> dcc1f33
- up to 0.20051111
- STBR

* Sat Aug 27 2005 darekr <darekr@pld-linux.org> e4126f4
- updated to 0.20050826;fix build

* Sun Jul 17 2005 darekr <darekr@pld-linux.org> ae95860
- unify sourceforge URL

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> ef8f72f
- spelling fixes

* Wed Oct 27 2004 ankry <ankry@pld-linux.org> d873562
- cosmetics

